## evolution-ews 3.36.1

=== CMakeLists.txt ===
# Evolution-EWS build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution-ews
	VERSION 3.36.1
	LANGUAGES C)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_TESTS=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.46)
set(glib_encoded_version GLIB_VERSION_2_46)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.10)
set(gdk_encoded_version GDK_VERSION_3_10)

# Keep these two definitions in agreement.
set(soup_minimum_version 2.58)
set(soup_encoded_version SOUP_VERSION_2_58)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(evo_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(mspack_minimum_version 0.4)
set(libical_glib_minimum_version 3.0.5)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCSourceCompiles)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

if(${ENABLE_MAINTAINER_MODE})
	add_definitions(-DCAMEL_DISABLE_DEPRECATED=1 -DEDS_DISABLE_DEPRECATED=1)
endif(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

pkg_check_modules(CAMEL REQUIRED camel-1.2>=${eds_minimum_version})
pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED evolution-data-server-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEBACKEND REQUIRED libebackend-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEBOOK REQUIRED libebook-1.2>=${eds_minimum_version})
pkg_check_modules(LIBECAL REQUIRED libecal-2.0>=${eds_minimum_version})
pkg_check_modules(LIBEDATABOOK REQUIRED libedata-book-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEDATACAL REQUIRED libedata-cal-2.0>=${eds_minimum_version})
pkg_check_modules(LIBEDATASERVER REQUIRED libedataserver-1.2>=${eds_minimum_version})

pkg_check_modules(EVOLUTION_SHELL REQUIRED evolution-shell-3.0>=${evo_minimum_version})
pkg_check_modules(EVOLUTION_MAIL REQUIRED evolution-mail-3.0>=${evo_minimum_version})
pkg_check_modules(EVOLUTION_CALENDAR REQUIRED evolution-calendar-3.0>=${evo_minimum_version})

pkg_check_modules(GNOME_PLATFORM REQUIRED
	glib-2.0>=${glib_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
)

pkg_check_modules(SOUP REQUIRED libsoup-2.4>=${soup_minimum_version})

pkg_check_modules(LIBICAL_GLIB REQUIRED libical-glib>=${libical_glib_minimum_version})

# ******************************
# libmspack with OAB support
# ******************************

add_printable_option(WITH_MSPACK "Use libmspack for OAB decompress" ON)

if(WITH_MSPACK)
	pkg_check_modules_for_option(WITH_MSPACK "libmspack for OAB decompress" MSPACK libmspack>=${mspack_minimum_version})
endif(WITH_MSPACK)

# ******************************
# SOUP_MESSAGE_IDEMPOTENT flag
# ******************************

set(CMAKE_REQUIRED_INCLUDES ${SOUP_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${SOUP_LDFLAGS})

CHECK_C_SOURCE_COMPILES("#include <libsoup/soup.h>
			int main(void) { SoupMessageFlags flag; flag = SOUP_MESSAGE_IDEMPOTENT; return 0; }" HAVE_SOUP_MESSAGE_IDEMPOTENT_FLAG)

unset(CMAKE_REQUIRED_INCLUDES)
unset(CMAKE_REQUIRED_LIBRARIES)

# ******************************
# uhttpmock for tests
# ******************************

add_printable_option(ENABLE_TESTS "Enable low level tests for EwsConnection" OFF)

if(ENABLE_TESTS)
	pkg_check_modules_for_option(ENABLE_TESTS "low level tests" UHTTPMOCK libuhttpmock-0.0)
endif(ENABLE_TESTS)

# ******************************
# Office365 OAuth2 support
# ******************************

add_printable_variable(WITH_OFFICE365_TENANT "Office365.com OAuth 2.0 tenant" "")

if(WITH_OFFICE365_TENANT STREQUAL "")
	set(WITH_OFFICE365_TENANT "common")
endif(WITH_OFFICE365_TENANT STREQUAL "")

add_printable_variable(WITH_OFFICE365_CLIENT_ID "Office365.com OAuth 2.0 client ID" "")

if(WITH_OFFICE365_CLIENT_ID STREQUAL "")
	set(WITH_OFFICE365_CLIENT_ID "")
endif(WITH_OFFICE365_CLIENT_ID STREQUAL "")

add_printable_variable(WITH_OFFICE365_REDIRECT_URI "Office365.com OAuth 2.0 redirect URI" "")

if(WITH_OFFICE365_REDIRECT_URI STREQUAL "")
	set(WITH_OFFICE365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
endif(WITH_OFFICE365_REDIRECT_URI STREQUAL "")

# ******************************
# Special directories
# ******************************

set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")

pkg_check_variable(errordir evolution-shell-3.0 errordir)
pkg_check_variable(evo_privlibdir evolution-shell-3.0 privlibdir)
pkg_check_variable(camel_providerdir camel-1.2 camel_providerdir)
pkg_check_variable(ebook_backenddir libedata-book-1.2 backenddir)
pkg_check_variable(ecal_backenddir libedata-cal-2.0 backenddir)
pkg_check_variable(eds_moduledir libebackend-1.2 moduledir)
pkg_check_variable(evo_moduledir evolution-shell-3.0 moduledir)
pkg_check_variable(ewsdatadir evolution-data-server-1.2 privdatadir)

set(ewsdatadir "${ewsdatadir}/ews")

SET(CMAKE_INSTALL_RPATH "${privlibdir}:${evo_privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

# Generate the ${PROJECT_NAME}-config.h file
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.h)

print_build_options()

add_appdata_file(org.gnome.Evolution-ews.metainfo.xml.in org.gnome.Evolution-ews.metainfo.xml)

add_subdirectory(po)
add_subdirectory(src)

if(ENABLE_TESTS)
	add_subdirectory(tests)
endif(ENABLE_TESTS)

=== src/addressbook/CMakeLists.txt ===
set(DEPENDENCIES
	evolution-ews
)

set(SOURCES
	ews-oab-props.h
	ews-oab-decoder.c
	ews-oab-decoder.h
	ews-oab-decompress.h
	e-book-backend-ews.c
	e-book-backend-ews.h
	e-book-backend-ews-factory.c
)

if(WITH_MSPACK)
	list(APPEND SOURCES
		ews-oab-decompress.c
	)
else(WITH_MSPACK)
	list(APPEND SOURCES
		mspack/lzx.h
		mspack/lzxd.c
		mspack/readbits.h
		mspack/readhuff.h
		mspack/oab-decompress.c
	)
endif(WITH_MSPACK)

add_library(ebookbackendews MODULE
	${SOURCES}
)

add_dependencies(ebookbackendews
	${DEPENDENCIES}
)

target_compile_definitions(ebookbackendews PRIVATE
	-DG_LOG_DOMAIN=\"ebookbackendews\"
	-DBACKENDDIR=\"${ebook_backenddir}\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(ebookbackendews PUBLIC
	${LIBEBACKEND_CFLAGS}
	${LIBEBOOK_CFLAGS}
	${LIBEDATABOOK_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBICAL_GLIB_CFLAGS}
	${MSPACK_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(ebookbackendews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBEBOOK_INCLUDE_DIRS}
	${LIBEDATABOOK_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBICAL_GLIB_INCLUDE_DIRS}
	${MSPACK_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(ebookbackendews
	${DEPENDENCIES}
	${LIBEBACKEND_LDFLAGS}
	${LIBEBOOK_LDFLAGS}
	${LIBEDATABOOK_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBICAL_GLIB_LDFLAGS}
	${MATH_LDFLAGS}
	${MSPACK_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS ebookbackendews
	DESTINATION ${ebook_backenddir}
)

# ******************************
# Internal test programs
# ******************************

if(WITH_MSPACK)
	add_executable(gal-lzx-decompress-test
		ews-oab-decompress.c
		ews-oab-decompress.h
		gal-lzx-decompress-test.c
	)

	target_compile_definitions(gal-lzx-decompress-test PRIVATE
		-DG_LOG_DOMAIN=\"gal-lzx-decompress-test\"
	)

	target_compile_options(gal-lzx-decompress-test PUBLIC
		${GNOME_PLATFORM_CFLAGS}
		${MSPACK_CFLAGS}
	)

	target_include_directories(gal-lzx-decompress-test PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_CURRENT_BINARY_DIR}
		${CMAKE_CURRENT_SOURCE_DIR}
		${GNOME_PLATFORM_INCLUDE_DIRS}
		${MSPACK_INCLUDE_DIRS}
	)

	target_link_libraries(gal-lzx-decompress-test
		${GNOME_PLATFORM_LDFLAGS}
		${MSPACK_LDFLAGS}
	)

	# **************************************************************

	add_executable(oab-decode-test
		ews-oab-decoder.c
		ews-oab-decoder.h
		oab-decode-test.c
	)

	target_compile_definitions(oab-decode-test PRIVATE
		-DG_LOG_DOMAIN=\"oab-decode-test\"
	)

	target_compile_options(oab-decode-test PUBLIC
		${GNOME_PLATFORM_CFLAGS}
		${LIBEBOOK_CFLAGS}
		${LIBEDATABOOK_CFLAGS}
		${MSPACK_CFLAGS}
	)

	target_include_directories(oab-decode-test PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_CURRENT_BINARY_DIR}
		${CMAKE_CURRENT_SOURCE_DIR}
		${GNOME_PLATFORM_INCLUDE_DIRS}
		${LIBEBOOK_INCLUDE_DIRS}
		${LIBEDATABOOK_INCLUDE_DIRS}
		${MSPACK_INCLUDE_DIRS}
	)

	target_link_libraries(oab-decode-test
		${GNOME_PLATFORM_LDFLAGS}
		${LIBEBOOK_LDFLAGS}
		${LIBEDATABOOK_LDFLAGS}
		${MSPACK_LDFLAGS}
		${MATH_LDFLAGS}
	)
endif(WITH_MSPACK)

=== src/calendar/CMakeLists.txt ===
install(FILES windowsZones.xml
	DESTINATION ${ewsdatadir}
)

set(DEPENDENCIES
	evolution-ews
)

set(SOURCES
	e-cal-backend-ews.c
	e-cal-backend-ews.h
	e-cal-backend-ews-factory.c
	e-cal-backend-ews-utils.c
	e-cal-backend-ews-utils.h
)

add_library(ecalbackendews MODULE
	${SOURCES}
)

add_dependencies(ecalbackendews
	${DEPENDENCIES}
)

target_compile_definitions(ecalbackendews PRIVATE
	-DG_LOG_DOMAIN=\"ecalbackendews\"
	-DEXCHANGE_EWS_DATADIR=\"${ewsdatadir}\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DEXCHANGE_EWS_SRCDIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
)

target_compile_options(ecalbackendews PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_CALENDAR_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(ecalbackendews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(ecalbackendews
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${EVOLUTION_CALENDAR_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS ecalbackendews
	DESTINATION ${ecal_backenddir}
)

=== src/server/CMakeLists.txt ===
glib_mkenums(e-ews-enumtypes e-ews-enums.h E_EWS_ENUMTYPES_H)

set(SOURCES
	camel-ews-settings.c
	camel-ews-settings.h
	camel-sasl-xoauth2-office365.c
	camel-sasl-xoauth2-office365.h
	e-ews-calendar-utils.c
	e-ews-calendar-utils.h
	e-ews-camel-common.c
	e-ews-camel-common.h
	e-ews-connection.c
	e-ews-connection.h
	e-ews-connection-utils.c
	e-ews-connection-utils.h
	e-ews-debug.c
	e-ews-debug.h
	e-ews-folder.c
	e-ews-folder.h
	e-ews-item.c
	e-ews-item.h
	e-ews-item-change.c
	e-ews-item-change.h
	e-ews-message.c
	e-ews-message.h
	e-ews-notification.c
	e-ews-notification.h
	e-ews-oof-settings.c
	e-ews-query-to-restriction.c
	e-ews-query-to-restriction.h
	e-oauth2-service-office365.c
	e-oauth2-service-office365.h
	e-soup-auth-negotiate.c
	e-soup-auth-negotiate.h
	e-soap-message.c
	e-soap-message.h
	e-soap-response.c
	e-soap-response.h
	e-source-ews-folder.c
	e-source-ews-folder.h
	ews-errors.c
	ews-errors.h
	${CMAKE_CURRENT_BINARY_DIR}/e-ews-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/e-ews-enumtypes.h
)

add_library(evolution-ews SHARED
	${SOURCES}
)

target_compile_definitions(evolution-ews PRIVATE
	-DG_LOG_DOMAIN=\"evolution-ews\"
)

target_compile_options(evolution-ews PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_CALENDAR_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(evolution-ews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(evolution-ews
	${CAMEL_LDFLAGS}
	${EVOLUTION_CALENDAR_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS evolution-ews
	DESTINATION ${privsolibdir}
)

=== debian/changelog ===
evolution-ews (3.36.1-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.36.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 16:35:35 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               dh-sequence-gnome,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.36.1),
               evolution-data-server-dev (>= 3.36.1),
               libcamel1.2-dev (>= 3.36.1),
               libedataserver1.2-dev (>= 3.36.1),
               libebackend1.2-dev (>= 3.36.1),
               libecal2.0-dev (>= 3.36.1),
               libedata-cal2.0-dev (>= 3.36.1),
               libebook1.2-dev (>= 3.36.1),
               libedata-book1.2-dev (>= 3.36.1),
               libglib2.0-dev (>= 2.40),
               libgtk-3-dev (>= 3.0),
               libmspack-dev (>= 0.4),
               libsoup2.4-dev (>= 2.42),
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
Homepage: https://wiki.gnome.org/Apps/Evolution

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= ${evo:Version}),
         evolution (<< ${evo:NextVersion}),
         evolution-data-server (>= ${eds:Version}),
         evolution-data-server (<< ${eds:NextVersion}),
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but
 it supports the Exchange 2007 version.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

EDS_VERSION = $(shell pkg-config --modversion evolution-data-server-1.2  | awk -F'.' '{print $$1 "." $$2}')
EDS_NEXTVERSION = $(shell pkg-config --modversion evolution-data-server-1.2  | awk -F'.' '{print $$1 "." $$2+1}')
EVO_VERSION = $(shell pkg-config --modversion evolution-shell-3.0  | awk -F'.' '{print $$1 "." $$2}')
EVO_NEXTVERSION = $(shell pkg-config --modversion evolution-shell-3.0  | awk -F'.' '{print $$1 "." $$2+1}')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSYSCONF_INSTALL_DIR=/etc

override_dh_makeshlibs:
	dh_makeshlibs -n -X/usr/lib/evolution-data-server/

override_dh_gencontrol:
	dh_gencontrol -- \
		-Veds:Version=$(EDS_VERSION) -Veds:NextVersion=$(EDS_NEXTVERSION) \
		-Vevo:Version=$(EVO_VERSION) -Vevo:NextVersion=$(EVO_NEXTVERSION)

## evolution-ews 3.36.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.36.1
+	VERSION 3.36.5
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== tests/CMakeLists.txt ===
macro(add_ews_test _name)
	set(DEPENDENCIES
		evolution-ews
	)

	set(SOURCES
		ews-test-common.c
		ews-test-common.h
	)

	add_executable(${_name}
		${SOURCES}
		${ARGN}
	)

	add_dependencies(${_name}
		${DEPENDENCIES}
	)

	target_compile_definitions(${_name} PRIVATE
		-DG_LOG_DOMAIN=\"${_name}\"
		-DTEST_FILE_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
		-DCALENDAR_MODULE_DIR=\"${CMAKE_BINARY_DIR}/src/calendar/\"
	)

	target_compile_options(${_name} PUBLIC
		${LIBECAL_CFLAGS}
		${LIBEDATASERVER_CFLAGS}
		${UHTTPMOCK_CFLAGS}
	)

	target_include_directories(${_name} PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_SOURCE_DIR}
		${CMAKE_BINARY_DIR}/src
		${CMAKE_SOURCE_DIR}/src
		${LIBECAL_INCLUDE_DIRS}
		${LIBEDATASERVER_INCLUDE_DIRS}
		${UHTTPMOCK_INCLUDE_DIRS}
	)

	target_link_libraries(${_name}
		${DEPENDENCIES}
		${LIBECAL_LDFLAGS}
		${LIBEDATASERVER_LDFLAGS}
		${UHTTPMOCK_LDFLAGS}
	)

	add_check_test(${_name})
endmacro(add_ews_test)

add_ews_test(ews-test-camel ews-test-camel.c)
add_ews_test(ews-test-timezones ews-test-timezones.c)

=== debian/changelog ===
evolution-ews (3.36.5-0ubuntu1.1) focal; urgency=medium

  * Retrieve S/MIME certificates (LP: #1943450)

 -- Roger Meier <r.meier@siemens.com>  Sun, 03 Oct 2021 15:22:01 +0200

evolution-ews (3.36.5-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1922959)
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Apr 2021 21:31:09 +0200

evolution-ews (3.36.4-0ubuntu1) focal; urgency=medium

  * New upstream release (lp: #1886652)
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jul 2020 15:10:37 +0200

evolution-ews (3.36.3-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1883120)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Jun 2020 15:09:46 +0200

evolution-ews (3.36.2-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1876268)
  * debian/control.in:
    - updated the evolution and eds requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 May 2020 11:09:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.36.1),
-               evolution-data-server-dev (>= 3.36.1),
-               libcamel1.2-dev (>= 3.36.1),
-               libedataserver1.2-dev (>= 3.36.1),
-               libebackend1.2-dev (>= 3.36.1),
-               libecal2.0-dev (>= 3.36.1),
-               libedata-cal2.0-dev (>= 3.36.1),
-               libebook1.2-dev (>= 3.36.1),
-               libedata-book1.2-dev (>= 3.36.1),
+               evolution-dev (>= 3.36.5),
+               evolution-data-server-dev (>= 3.36.5),
+               libcamel1.2-dev (>= 3.36.5),
+               libedataserver1.2-dev (>= 3.36.5),
+               libebackend1.2-dev (>= 3.36.5),
+               libecal2.0-dev (>= 3.36.5),
+               libedata-cal2.0-dev (>= 3.36.5),
+               libebook1.2-dev (>= 3.36.5),
+               libedata-book1.2-dev (>= 3.36.5),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
                libmspack-dev (>= 0.4),

## evolution-ews 3.38.1

=== debian/changelog ===
evolution-ews (3.38.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 16:31:30 +0200

evolution-ews (3.38.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Sep 2020 22:10:03 +0200

evolution-ews (3.36.4-1) unstable; urgency=medium

  * New upstream release (lp: #1886652)
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jul 2020 15:10:37 +0200

evolution-ews (3.36.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the eds and evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Jun 2020 15:06:08 +0200

evolution-ews (3.36.2-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.36.2
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 30 Apr 2020 18:19:28 -0400

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,30 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.36.5),
-               evolution-data-server-dev (>= 3.36.5),
-               libcamel1.2-dev (>= 3.36.5),
-               libedataserver1.2-dev (>= 3.36.5),
-               libebackend1.2-dev (>= 3.36.5),
-               libecal2.0-dev (>= 3.36.5),
-               libedata-cal2.0-dev (>= 3.36.5),
-               libebook1.2-dev (>= 3.36.5),
-               libedata-book1.2-dev (>= 3.36.5),
+               evolution-dev (>= 3.38.1),
+               evolution-data-server-dev (>= 3.38.1),
+               libcamel1.2-dev (>= 3.38.1),
+               libedataserver1.2-dev (>= 3.38.1),
+               libebackend1.2-dev (>= 3.38.1),
+               libecal2.0-dev (>= 3.38.1),
+               libedata-cal2.0-dev (>= 3.38.1),
+               libebook1.2-dev (>= 3.38.1),
+               libedata-book1.2-dev (>= 3.38.1),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
+               libjson-glib-dev,
                libmspack-dev (>= 0.4),
                libsoup2.4-dev (>= 2.42),
                intltool (>= 0.35.5),
                libsqlite3-dev,
                pkg-config,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
 Homepage: https://wiki.gnome.org/Apps/Evolution

## evolution-ews 3.38.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.36.5
+	VERSION 3.38.3
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")
 
@@ -46,6 +46,7 @@
 set(evo_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
 set(mspack_minimum_version 0.4)
 set(libical_glib_minimum_version 3.0.5)
+set(json_glib_minimum_version 1.0.4)
 
 # Load modules from the source tree
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -142,6 +143,8 @@
 
 pkg_check_modules(LIBICAL_GLIB REQUIRED libical-glib>=${libical_glib_minimum_version})
 
+pkg_check_modules(JSON_GLIB REQUIRED json-glib-1.0>=${json_glib_minimum_version})
+
 # ******************************
 # libmspack with OAB support
 # ******************************
@@ -188,7 +191,7 @@
 add_printable_variable(WITH_OFFICE365_CLIENT_ID "Office365.com OAuth 2.0 client ID" "")
 
 if(WITH_OFFICE365_CLIENT_ID STREQUAL "")
-	set(WITH_OFFICE365_CLIENT_ID "")
+	set(WITH_OFFICE365_CLIENT_ID "20460e5d-ce91-49af-a3a5-70b6be7486d1")
 endif(WITH_OFFICE365_CLIENT_ID STREQUAL "")
 
 add_printable_variable(WITH_OFFICE365_REDIRECT_URI "Office365.com OAuth 2.0 redirect URI" "")
@@ -196,6 +199,28 @@
 if(WITH_OFFICE365_REDIRECT_URI STREQUAL "")
 	set(WITH_OFFICE365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
 endif(WITH_OFFICE365_REDIRECT_URI STREQUAL "")
+
+# ******************************
+# Microsoft365 OAuth2 support (v2.0)
+# ******************************
+
+add_printable_variable(WITH_MICROSOFT365_TENANT "Microsoft 365 OAuth 2.0 tenant" "")
+
+if(WITH_MICROSOFT365_TENANT STREQUAL "")
+	set(WITH_MICROSOFT365_TENANT "common")
+endif(WITH_MICROSOFT365_TENANT STREQUAL "")
+
+add_printable_variable(WITH_MICROSOFT365_CLIENT_ID "Microsoft 365 OAuth 2.0 client ID" "")
+
+if(WITH_MICROSOFT365_CLIENT_ID STREQUAL "")
+	set(WITH_MICROSOFT365_CLIENT_ID "20460e5d-ce91-49af-a3a5-70b6be7486d1")
+endif(WITH_MICROSOFT365_CLIENT_ID STREQUAL "")
+
+add_printable_variable(WITH_MICROSOFT365_REDIRECT_URI "Microsoft 365 OAuth 2.0 redirect URI" "")
+
+if(WITH_MICROSOFT365_REDIRECT_URI STREQUAL "")
+	set(WITH_MICROSOFT365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
+endif(WITH_MICROSOFT365_REDIRECT_URI STREQUAL "")
 
 # ******************************
 # Special directories

=== src/EWS/calendar/CMakeLists.txt ===
install(FILES windowsZones.xml
	DESTINATION ${ewsdatadir}
)

set(DEPENDENCIES
	evolution-ews
)

set(SOURCES
	e-cal-backend-ews.c
	e-cal-backend-ews.h
	e-cal-backend-ews-factory.c
	e-cal-backend-ews-utils.c
	e-cal-backend-ews-utils.h
)

add_library(ecalbackendews MODULE
	${SOURCES}
)

add_dependencies(ecalbackendews
	${DEPENDENCIES}
)

target_compile_definitions(ecalbackendews PRIVATE
	-DG_LOG_DOMAIN=\"ecalbackendews\"
	-DEXCHANGE_EWS_DATADIR=\"${ewsdatadir}\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DEXCHANGE_EWS_SRCDIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
)

target_compile_options(ecalbackendews PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_CALENDAR_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(ecalbackendews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/EWS
	${CMAKE_SOURCE_DIR}/src/EWS
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(ecalbackendews
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${EVOLUTION_CALENDAR_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS ecalbackendews
	DESTINATION ${ecal_backenddir}
)

=== src/EWS/common/CMakeLists.txt ===
glib_mkenums(e-ews-enumtypes e-ews-enums.h E_EWS_ENUMTYPES_H)

set(SOURCES
	camel-ews-settings.c
	camel-ews-settings.h
	camel-sasl-xoauth2-office365.c
	camel-sasl-xoauth2-office365.h
	e-ews-calendar-utils.c
	e-ews-calendar-utils.h
	e-ews-camel-common.c
	e-ews-camel-common.h
	e-ews-connection.c
	e-ews-connection.h
	e-ews-connection-utils.c
	e-ews-connection-utils.h
	e-ews-debug.c
	e-ews-debug.h
	e-ews-folder.c
	e-ews-folder.h
	e-ews-item.c
	e-ews-item.h
	e-ews-item-change.c
	e-ews-item-change.h
	e-ews-message.c
	e-ews-message.h
	e-ews-notification.c
	e-ews-notification.h
	e-ews-oof-settings.c
	e-ews-query-to-restriction.c
	e-ews-query-to-restriction.h
	e-oauth2-service-office365.c
	e-oauth2-service-office365.h
	e-soup-auth-negotiate.c
	e-soup-auth-negotiate.h
	e-soap-message.c
	e-soap-message.h
	e-soap-response.c
	e-soap-response.h
	e-source-ews-folder.c
	e-source-ews-folder.h
	ews-errors.c
	ews-errors.h
	${CMAKE_CURRENT_BINARY_DIR}/e-ews-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/e-ews-enumtypes.h
)

add_library(evolution-ews SHARED
	${SOURCES}
)

target_compile_definitions(evolution-ews PRIVATE
	-DG_LOG_DOMAIN=\"evolution-ews\"
)

target_compile_options(evolution-ews PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_CALENDAR_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(evolution-ews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/EWS
	${CMAKE_SOURCE_DIR}/src/EWS
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(evolution-ews
	${CAMEL_LDFLAGS}
	${EVOLUTION_CALENDAR_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS evolution-ews
	DESTINATION ${privsolibdir}
)

=== src/EWS/evolution/CMakeLists.txt ===
add_error_files(configuration module-ews-configuration.error)

set(extra_deps
	camelews-priv
)
set(sources
	module-ews-configuration.c
	e-cal-config-ews.c
	e-cal-config-ews.h
	e-book-config-ews.c
	e-book-config-ews.h
	e-mail-config-ews-autodiscover.c
	e-mail-config-ews-autodiscover.h
	e-mail-config-ews-backend.c
	e-mail-config-ews-backend.h
	e-mail-config-ews-gal.c
	e-mail-config-ews-gal.h
	e-mail-config-ews-notebook.c
	e-mail-config-ews-notebook.h
	e-mail-config-ews-oal-combo-box.c
	e-mail-config-ews-oal-combo-box.h
	e-mail-config-ews-delegates-page.c
	e-mail-config-ews-delegates-page.h
	e-mail-config-ews-folder-sizes-page.c
	e-mail-config-ews-folder-sizes-page.h
	e-mail-config-ews-offline-options.c
	e-mail-config-ews-offline-options.h
	e-mail-config-ews-ooo-page.c
	e-mail-config-ews-ooo-page.h
	e-ews-config-lookup.c
	e-ews-config-lookup.h
	e-ews-config-ui-extension.c
	e-ews-config-ui-extension.h
	e-ews-config-utils.c
	e-ews-config-utils.h
	e-ews-edit-folder-permissions.c
	e-ews-edit-folder-permissions.h
	e-ews-search-user.c
	e-ews-search-user.h
	e-ews-subscribe-foreign-folder.c
	e-ews-subscribe-foreign-folder.h
	e-ews-ooo-notificator.c
	e-ews-ooo-notificator.h
	e-ews-photo-source.c
	e-ews-photo-source.h
)
set(extra_defines)
set(extra_cflags
	${EVOLUTION_MAIL_CFLAGS}
	${EVOLUTION_SHELL_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEBOOK_CFLAGS}
)
set(extra_incdirs
	${EVOLUTION_MAIL_INCLUDE_DIRS}
	${EVOLUTION_SHELL_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEBOOK_INCLUDE_DIRS}
)
set(extra_ldflags
	${EVOLUTION_MAIL_LDFLAGS}
	${EVOLUTION_SHELL_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEBOOK_LDFLAGS}
)

add_simple_module(module-ews-configuration
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
	"${evo_moduledir}"
)

=== src/EWS/registry/CMakeLists.txt ===
set(extra_deps)
set(sources
	module-ews-backend.c
	e-ews-backend.c
	e-ews-backend.h
	e-ews-backend-factory.c
	e-ews-backend-factory.h
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_simple_module(module-ews-backend
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
	"${eds_moduledir}"
)

=== debian/changelog ===
evolution-ews (3.38.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Jan 2021 17:26:40 +0100

evolution-ews (3.38.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Nov 2020 17:27:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.38.1),
-               evolution-data-server-dev (>= 3.38.1),
-               libcamel1.2-dev (>= 3.38.1),
-               libedataserver1.2-dev (>= 3.38.1),
-               libebackend1.2-dev (>= 3.38.1),
-               libecal2.0-dev (>= 3.38.1),
-               libedata-cal2.0-dev (>= 3.38.1),
-               libebook1.2-dev (>= 3.38.1),
-               libedata-book1.2-dev (>= 3.38.1),
+               evolution-dev (>= 3.38.3),
+               evolution-data-server-dev (>= 3.38.3),
+               libcamel1.2-dev (>= 3.38.3),
+               libedataserver1.2-dev (>= 3.38.3),
+               libebackend1.2-dev (>= 3.38.3),
+               libecal2.0-dev (>= 3.38.3),
+               libedata-cal2.0-dev (>= 3.38.3),
+               libebook1.2-dev (>= 3.38.3),
+               libedata-book1.2-dev (>= 3.38.3),
                libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 # see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

## evolution-ews 3.40.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.38.3
+	VERSION 3.40.0
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")
 
@@ -18,8 +18,8 @@
 )
 
 # Keep these two definitions in agreement.
-set(glib_minimum_version 2.46)
-set(glib_encoded_version GLIB_VERSION_2_46)
+set(glib_minimum_version 2.62)
+set(glib_encoded_version GLIB_VERSION_2_62)
 
 # Keep these two definitions in agreement.
 set(gdk_minimum_version 3.10)
@@ -200,6 +200,12 @@
 	set(WITH_OFFICE365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
 endif(WITH_OFFICE365_REDIRECT_URI STREQUAL "")
 
+add_printable_variable(WITH_OFFICE365_ENDPOINT_HOST "Office365.com OAuth 2.0 endpoint host" "")
+
+if(WITH_OFFICE365_ENDPOINT_HOST STREQUAL "")
+	set(WITH_OFFICE365_ENDPOINT_HOST "login.microsoftonline.com")
+endif(WITH_OFFICE365_ENDPOINT_HOST STREQUAL "")
+
 # ******************************
 # Microsoft365 OAuth2 support (v2.0)
 # ******************************
@@ -222,20 +228,40 @@
 	set(WITH_MICROSOFT365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
 endif(WITH_MICROSOFT365_REDIRECT_URI STREQUAL "")
 
+add_printable_variable(WITH_MICROSOFT365_ENDPOINT_HOST "Microsoft 365 OAuth 2.0 endpoint host" "")
+
+if(WITH_MICROSOFT365_ENDPOINT_HOST STREQUAL "")
+	set(WITH_MICROSOFT365_ENDPOINT_HOST "login.microsoftonline.com")
+endif(WITH_MICROSOFT365_ENDPOINT_HOST STREQUAL "")
+
 # ******************************
 # Special directories
 # ******************************
 
 set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
 
-pkg_check_variable(errordir evolution-shell-3.0 errordir)
-pkg_check_variable(evo_privlibdir evolution-shell-3.0 privlibdir)
 pkg_check_variable(camel_providerdir camel-1.2 camel_providerdir)
 pkg_check_variable(ebook_backenddir libedata-book-1.2 backenddir)
 pkg_check_variable(ecal_backenddir libedata-cal-2.0 backenddir)
 pkg_check_variable(eds_moduledir libebackend-1.2 moduledir)
+pkg_check_variable(ewsdatadir evolution-data-server-1.2 privdatadir)
+pkg_check_variable(evo_privlibdir evolution-shell-3.0 privlibdir)
+pkg_check_variable(errordir evolution-shell-3.0 errordir)
 pkg_check_variable(evo_moduledir evolution-shell-3.0 moduledir)
-pkg_check_variable(ewsdatadir evolution-data-server-1.2 privdatadir)
+
+add_printable_variable(FORCE_INSTALL_PREFIX "Whether to force install evolution-data-server and evolution files into the install prefix" OFF)
+if(FORCE_INSTALL_PREFIX)
+	pkg_check_variable(eds_prefix evolution-data-server-1.2 prefix)
+	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" camel_providerdir "${camel_providerdir}")
+	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" ebook_backenddir "${ebook_backenddir}")
+	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" ecal_backenddir "${ecal_backenddir}")
+	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" eds_moduledir "${eds_moduledir}")
+	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" ewsdatadir "${ewsdatadir}")
+
+	pkg_check_variable(evo_prefix evolution-shell-3.0 prefix)
+	string(REGEX REPLACE "^${evo_prefix}" "${CMAKE_INSTALL_PREFIX}" errordir "${errordir}")
+	string(REGEX REPLACE "^${evo_prefix}" "${CMAKE_INSTALL_PREFIX}" evo_moduledir "${evo_moduledir}")
+endif(FORCE_INSTALL_PREFIX)
 
 set(ewsdatadir "${ewsdatadir}/ews")
 
@@ -258,8 +284,3 @@
 add_appdata_file(org.gnome.Evolution-ews.metainfo.xml.in org.gnome.Evolution-ews.metainfo.xml)
 
 add_subdirectory(po)
-add_subdirectory(src)
-
-if(ENABLE_TESTS)
-	add_subdirectory(tests)
-endif(ENABLE_TESTS)

=== debian/changelog ===
evolution-ews (3.40.0-1ubuntu1) hirsute; urgency=medium

  * Retrieve S/MIME certificates (LP: #1943450)

 -- Roger Meier <r.meier@siemens.com>  Sun, 03 Oct 2021 23:08:55 +0200

evolution-ews (3.40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Mar 2021 21:23:10 +0100

evolution-ews (3.39.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution-data-server requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 13:17:05 +0100

evolution-ews (3.39.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated build requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 21:08:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.38.3),
-               evolution-data-server-dev (>= 3.38.3),
-               libcamel1.2-dev (>= 3.38.3),
-               libedataserver1.2-dev (>= 3.38.3),
-               libebackend1.2-dev (>= 3.38.3),
-               libecal2.0-dev (>= 3.38.3),
-               libedata-cal2.0-dev (>= 3.38.3),
-               libebook1.2-dev (>= 3.38.3),
-               libedata-book1.2-dev (>= 3.38.3),
-               libglib2.0-dev (>= 2.40),
+               evolution-dev (>= 3.40),
+               evolution-data-server-dev (>= 3.40),
+               libcamel1.2-dev (>= 3.40),
+               libedataserver1.2-dev (>= 3.40),
+               libebackend1.2-dev (>= 3.40),
+               libecal2.0-dev (>= 3.40),
+               libedata-cal2.0-dev (>= 3.40),
+               libebook1.2-dev (>= 3.40),
+               libedata-book1.2-dev (>= 3.40),
+               libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
                libmspack-dev (>= 0.4),

## evolution-ews 3.40.1

=== debian/changelog ===
evolution-ews (3.40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 May 2021 11:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.40),
-               evolution-data-server-dev (>= 3.40),
-               libcamel1.2-dev (>= 3.40),
-               libedataserver1.2-dev (>= 3.40),
-               libebackend1.2-dev (>= 3.40),
-               libecal2.0-dev (>= 3.40),
-               libedata-cal2.0-dev (>= 3.40),
-               libebook1.2-dev (>= 3.40),
-               libedata-book1.2-dev (>= 3.40),
+               evolution-dev (>= 3.40.1),
+               evolution-data-server-dev (>= 3.40.1),
+               libcamel1.2-dev (>= 3.40.1),
+               libedataserver1.2-dev (>= 3.40.1),
+               libebackend1.2-dev (>= 3.40.1),
+               libecal2.0-dev (>= 3.40.1),
+               libedata-cal2.0-dev (>= 3.40.1),
+               libebook1.2-dev (>= 3.40.1),
+               libedata-book1.2-dev (>= 3.40.1),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,

## evolution-ews 3.40.4

=== debian/changelog ===
evolution-ews (3.40.4-1ubuntu1) impish; urgency=medium

  * Update metadata for ubuntu/impish git packaging branch
  * Retrieve S/MIME certificates (Closes: #994252) (LP: #1943450)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Sep 2021 20:05:34 -0400

evolution-ews (3.40.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Sep 2021 11:51:20 +0200

evolution-ews (3.40.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 21:37:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.40.1),
-               evolution-data-server-dev (>= 3.40.1),
-               libcamel1.2-dev (>= 3.40.1),
-               libedataserver1.2-dev (>= 3.40.1),
-               libebackend1.2-dev (>= 3.40.1),
-               libecal2.0-dev (>= 3.40.1),
-               libedata-cal2.0-dev (>= 3.40.1),
-               libebook1.2-dev (>= 3.40.1),
-               libedata-book1.2-dev (>= 3.40.1),
+               evolution-dev (>= 3.40.4),
+               evolution-data-server-dev (>= 3.40.4),
+               libcamel1.2-dev (>= 3.40.4),
+               libedataserver1.2-dev (>= 3.40.4),
+               libebackend1.2-dev (>= 3.40.4),
+               libecal2.0-dev (>= 3.40.4),
+               libedata-cal2.0-dev (>= 3.40.4),
+               libebook1.2-dev (>= 3.40.4),
+               libedata-book1.2-dev (>= 3.40.4),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
